import { sveltekit } from '@sveltejs/kit/vite';
import houdini from 'houdini/vite';
import { defineConfig } from 'vite';

export default defineConfig({
	plugins: [houdini(), sveltekit()],
	server: {
		port: parseInt(process.env.WEB_PORT ?? '3001'),
		fs: {
			allow: ['./web/app.css', './web/assets']
		}
	}
});
